package com.pdaaphm.biz.domain;

import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.pdaaphm.common.annotation.Excel;
import com.pdaaphm.common.core.domain.BaseEntity;

/**
 * 算法子类型对象 t_algorithm_sub_type
 *
 * @author allen
 * @date 2023-07-26
 */

@Data
public class AlgorithmSubType extends BaseEntity
{
    private static final long serialVersionUID = 1L;
    public static String pythonCode = "1";
    public static String matlabCode = "2";

    /** 编号 */
    private Long id;

    /** 类型 */
    @Excel(name = "类型")
    private String type;

    /** 算法子名称 */
    @Excel(name = "算法子名称")
    private String name;

    /** 算法url */
    @Excel(name = "算法url")
    private String url;

    /** 运行类型 */
    @Excel(name = "运行类型")
    private String runType;

    /** 输入数据类型 */
    @Excel(name = "数据类型")
    private String dataType;
}
