package com.pdaaphm.biz.domain;

import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.pdaaphm.common.annotation.Excel;
import com.pdaaphm.common.core.domain.BaseEntity;

import java.util.List;

/**
 * 文件对象 t_file
 *
 * @author xlk
 * @date 2023-07-26
 */

@Data
public class File extends BaseEntity
{
    private static final long serialVersionUID = 1L;
    public static String inputFlag = "1";
    public static String ouputFlag = "2";

    /** 编号 */
    private Long id;

    /** 文档名称 */
    @Excel(name = "文档名称")
    private String name;

    /** 文档路径 */
    @Excel(name = "文档路径")
    private String path;

    /** 类型 */
    @Excel(name = "类型")
    private String type;

    /** 数据类型 */
    @Excel(name = "数据类型")
    private String dataType;

    private List<String> dataTypes;
}
